%{?nodejs_find_provides_and_requires}

%global packagename temp-dir

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-temp-dir
Version:	1.0.0
Release:	1%{?dist}
Summary:	Get the real path of the system temp directory

License:	MIT
URL:		https://github.com/sindresorhus/temp-dir
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	fixture-%{version}.tar.bz2
Source2:	https://raw.githubusercontent.com/sindresorhus/%{packagename}/v%{version}/test.js
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Get the real path of the system temp directory


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE2} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat May  6 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
